Subject: RE: [Adslmib] six objects - redux

From: "Say, Sabit" <[email-masked]>
Date: Wed, 30 Apr 2003 14:54:04 -0700

I leave the rest up to you experts. 
Sabit

-----Original Message-----
From: Rajesh Abbi [mailto:[email-masked]]
Sent: Wednesday, April 30, 2003 5:19 PM
To: [email-masked]
Cc: Sabit Say; Randy Presuhn; adslmib mail list; Moti Morgenstern
Subject: Re: [Adslmib] six objects - redux

Since the parmeter vaues do not reflect exact configuration - only
Minimum/Maximum
and Target values, it does not make sense to put unnecessary constraints on
the steps.
The units should be simple (normally used).  So I agree with Randy that we
should simply
use % and microseconds as the units in incements of 1 (1% or 1 microsecond).

Enough from me.  Bob, go get a beer !

;-)

Rajesh

Bob Ray wrote:

> On Wed, 2003-04-30 at 15:13, Say, Sabit wrote:
>
> > Correct this and you are done:
> > vdslLineConfUpstreamTargetSlowBurstProtection OBJECT-TYPE
>
> Got it.  Thanks. Was also missing the word "of" in the
> vdslChanCurrFastFecOverhead description.  That, or change
> "a value of zero" to "the value zero" elsewhere.  But that
> leads to a metaphysical trench, I think (is there one and
> only one one?).   <- lame humor
>
> > 1) Is it clear from the range and the variable type that the 0-1275
range is
> > in increments of 5 [microseconds]?
>
> Nope.  In the object description its in increments of 1 microsecond.
> If I change it to increments of 5 microseconds, the range is changed
> to (0..255).  That is, UNITS gets changed to UNITS "5 microseconds".
>
> > 2) 0 to 50 for % overhead makes sense.
> > Or if you do not want any range checking, you can define it as 0 to
63.75 in
> > 0.25 increments.
>
> Similarly, would result in a range of (0..255) with UNITS of 0.25%.
>
> I suppose the (0..255) ranges are the more accurate translations of
> the underlying mechanisms.  Rajesh will argue about anything greater
> than 50%.
>
> > 4) The reported parameters do not have upstream/downstream attached to
them,
> > but I presume they can be reported for both. Is that correct?
>
> The vdslChanCurrXXXX objects are for each ifIndex and vdslLineEntity
> (Vtuc, Vtur).  As fast and interleave channels will each have an
> ifEntry, and as each end of the line (Vtuc, Vtur) will have an
> entry in the vdslChanTable, then, yes, it is reported for Upstream
> (Vtur -> Vtuc) and Downstream (Vtuc -> Vtur).  Perhaps better object
> names:
>
>     vdslChanTxOverhead          (NOTE: "Tx")
>     vdslChanTxBurstProtection   (NOTE: "Tx")
>
> this would indicate which channel and in which direction the objects
> refer (when taken in the context of their ifIndex and vdslLineEntity).
>
> Bob Ray
>
> p.s.  I need a beer.
_______________________________________________
Adslmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/adslmib